#treasure-ups-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

@media screen and (max-width: 768px) {
    .page-title {
        font-size: 24px;
        font-weight: bold;
        color: #333;
        margin-bottom: 50px;
    }
}